[Index]
Model ref.: relation/HcsLdapScheduleREL
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "Name",
"description": "The name of the schedule.",
"type": "string",
"maxLength": 1024,
"format": "uri",
"required": true,
"readonly": false,
"is_password": false,
"displayable": false,
"target": "/api/data/Schedule/choices/?field=name&format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"target_attr": "name",
"target_model_type": "data/Schedule",
"choices": []
},
"schedule": {
"title": "Schedule",
"type": "object",
"properties": {
"name": {
"title": "Schedule Name",
"description": "Name of this Schedule",
"type": "string",
"required": true,
"readonly": false,
"maxLength": 1024
},
"last_executed": {
"title": "Last Executed (UTC Time)",
"description": "Last time that this schedule executed",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"owner": {
"title": "Owner",
"description": "A business key that identifies the data/User who created the schedule.",
"type": "string",
"required": false,
"readonly": true,
"maxLength": 1024
},
"schedule_type": {
"title": "Schedule Type",
"description": "Type of Schedule",
"type": "string",
"required": true,
"readonly": false,
"choices": [
{
"value": "single",
"title": "Single Execution"
},
{
"value": "multi",
"title": "Multi Execution"
}
],
"maxLength": 1024
},
"active": {
"title": "Active",
"description": "Is the entire schedule active or not.",
"type": "boolean",
"required": false,
"readonly": false,
"default": true
},
"skip_next": {
"title": "Skip execution on activation.",
"description": "Skip immediate execution on activation.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"scheduled_resources": {
"title": "Scheduled resources",
"description": "List of resources that will be actioned",
"type": "array",
"minItems": 1,
"required": true,
"items": {
"type": "object",
"properties": {
"action": {
"title": "Action",
"description": "Action to perform",
"type": "string",
"required": true,
"readonly": false,
"choices": [
{
"value": "execute",
"title": "Execute"
}
],
"maxLength": 1024
},
"resource_type": {
"title": "Resource Type",
"description": "Resource types to which this schedule will apply.",
"type": "string",
"required": true,
"choices": [
{
"value": "",
"title": ""
}
],
"maxLength": 1024
},
"resource_attribute": {
"title": "Resource Attribute",
"description": "Resource attribute that will be used to filter/choose from.",
"type": "string",
"required": true,
"choices": [
{
"value": "",
"title": ""
}
],
"maxLength": 1024
},
"resource_instance": {
"title": "Resource",
"description": "DESCRIPTION",
"type": "string",
"required": true,
"choices": [
{
"value": "",
"title": ""
}
],
"maxLength": 1024
},
"perform_action": {
"title": "Perform Action",
"description": "DESCRIPTION",
"type": "boolean",
"default": true
}
}
}
},
"single_execute": {
"title": "Single Execution",
"description": "Single Execution",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"single_date": {
"title": "Execution Date (YYYY-MM-DD. Local date)",
"description": "Execution Date",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^\\d{4}\\-(0[1-9]|1[012])\\-(0[1-9]|[12]\\d|3[01])$",
"maxLength": 1024
},
"single_time": {
"title": "Execution Time (HH:MM:SS. Local time)",
"description": "Execution Time",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^([0-1]\\d|2[0-3]):(0[0-9]|[1-5]\\d):(0[0-9]|[1-5]\\d)$",
"maxLength": 1024
},
"single_timezone": {
"title": "Execution Timezone (Local timezone)",
"description": "Timezone for Execution",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^[-+]?\\d+$",
"default": "0",
"maxLength": 1024
}
}
},
"multi_execute": {
"title": "Multiple Executions",
"description": "Multi Execution",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"use_specific": {
"title": "Use Specific Executions",
"description": "Use specific executions.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"use_calender": {
"title": "Use Calendar Executions",
"description": "Use calendar executions.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"use_timed": {
"title": "Use Timed Executions",
"description": "Use timed executions.",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
},
"specific_execute": {
"title": "Specific Execution Dates",
"description": "Specific Execution Dates",
"type": "array",
"required": false,
"readonly": false,
"items": {
"type": "object",
"properties": {
"specific_date": {
"title": "Execution Date (YYYY-MM-DD. Local date)",
"description": "Execution Date",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^\\d{4}\\-(0[1-9]|1[012])\\-(0[1-9]|[12]\\d|3[01])$",
"maxLength": 1024
},
"specific_time": {
"title": "Execution Time (HH:MM:SS. Local time)",
"description": "Execution Time",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^([0-1]\\d|2[0-3]):(0[0-9]|[1-5]\\d):(0[0-9]|[1-5]\\d)$",
"maxLength": 1024
},
"specific_timezone": {
"title": "Execution Timezone (Local timezone)",
"description": "Timezone for Execution",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^[-+]?\\d+$",
"default": "0",
"maxLength": 1024
}
}
}
},
"calender_execute": {
"title": "Calendar Executions",
"description": "Repeated Execution by Calendar",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"calender_month": {
"title": "Calendar Month",
"description": "Calendar Month",
"type": "integer",
"minimum": 1,
"maximum": 12,
"required": false,
"readonly": false
},
"calender_day": {
"title": "Calendar Day",
"description": "Calendar Day",
"type": "integer",
"minimum": 1,
"maximum": 31,
"required": false,
"readonly": false
},
"calender_hour": {
"title": "Calendar Hour",
"description": "Calendar Hour",
"type": "integer",
"minimum": 0,
"maximum": 23,
"required": false,
"readonly": false
},
"calender_minute": {
"title": "Calendar Minute",
"description": "Calendar Minute",
"type": "integer",
"minimum": 0,
"maximum": 59,
"required": false,
"readonly": false
},
"calender_timezone": {
"title": "Execution Timezone (Local timezone)",
"description": "Timezone for Execution",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^[-+]?\\d+$",
"default": "0",
"maxLength": 1024
}
}
},
"timed_execute": {
"title": "Timed Executions",
"description": "Timed Execution",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"first_date": {
"title": "First Execution Date (YYYY-MM-DD. Local date)",
"description": "Execution Date",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^\\d{4}\\-(0[1-9]|1[012])\\-(0[1-9]|[12]\\d|3[01])$",
"maxLength": 1024
},
"first_time": {
"title": "First Execution Time (HH:MM:SS. Local time)",
"description": "Execution Time",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^([0-1]\\d|2[0-3]):(0[0-9]|[1-5]\\d):(0[0-9]|[1-5]\\d)$",
"maxLength": 1024
},
"first_timezone": {
"title": "First Execution Timezone (Local timezone)",
"description": "Timezone for Execution",
"type": "string",
"required": false,
"readonly": false,
"pattern": "^[-+]?\\d+$",
"default": "0",
"maxLength": 1024
},
"repeat_day": {
"title": "Repeat after (x) Days",
"description": "Repeat Days",
"type": "integer",
"minimum": 0,
"required": false,
"readonly": false,
"default": 0
},
"repeat_hour": {
"title": "Repeat after (x) Hours",
"description": "Repeat Hours",
"type": "integer",
"minimum": 0,
"required": false,
"readonly": false,
"default": 0
},
"repeat_minute": {
"title": "Repeat after (x) Minutes",
"description": "Repeat Minutes",
"type": "integer",
"minimum": 0,
"required": false,
"readonly": false,
"default": 0
},
"repeat_number": {
"title": "Number of Repeats (0 = infinite)",
"description": "Number of Repeats",
"type": "integer",
"minimum": 0,
"required": false,
"readonly": false,
"default": 0
}
}
}
}
}
}
}
},
"schema_version": "2.1"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/relation/HcsLdapScheduleREL/add/ |
|
The GUI Add form of relation/HcsLdapScheduleREL as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/relation/HcsLdapScheduleREL | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/relation/HcsLdapScheduleREL/ | hierarchy=[hierarchy] | {"hrefs":["/api/relation/HcsLdapScheduleREL/[pkid1]", "/api/relation/HcsLdapScheduleREL/[pkid2]", ...]} |
GET http://[host-proxy]/api/relation/HcsLdapScheduleREL/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of relation/HcsLdapScheduleREL; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/relation/HcsLdapScheduleREL/export/ |
|
{ "hrefs":["/api/relation/HcsLdapScheduleREL/[pkid1]", "/api/relation/HcsLdapScheduleREL/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of relation/HcsLdapScheduleREL and the JSON format can be used to import instances of relation/HcsLdapScheduleREL.
GET http://[host-proxy]/api/relation/HcsLdapScheduleREL/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for relation/HcsLdapScheduleREL | POST | /api/relation/HcsLdapScheduleREL/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/relation/HcsLdapScheduleREL/ |
|
The relation/HcsLdapScheduleREL schema and all instances as JSON. |
(The list will return 0 to 3 relation/HcsLdapScheduleREL instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 4,
"total_limit": null,
"order_by": "name",
"direction": "asc",
"current": "/api/relation/HcsLdapScheduleREL/?skip=0&limit=3&order_by=name&direction=asc&traversal=down"
},
"operations": [
"add",
"get",
"list",
"update",
"remove",
"export",
"configuration_template",
"field_display_policy",
"bulk_update",
"help",
"export_bulkload_template"
],
"meta": {
"model_type": "relation/HcsLdapScheduleREL",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"self": [
{
"href": "/api/relation/HcsLdapScheduleREL/None/",
"pkid": null
}
]
},
"model_specific_actions": [
"add",
"list",
"update",
"remove",
"export",
"help",
"get",
"export_bulkload_template"
],
"schema_version": "2.1",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/relation/HcsLdapScheduleREL/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/relation/HcsLdapScheduleREL/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/relation/HcsLdapScheduleREL/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/relation/HcsLdapScheduleREL/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/relation/HcsLdapScheduleREL/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/relation/HcsLdapScheduleREL/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"resources": [
{
"data": {
"name": "HcsLdapSyncSchedule--1",
"pkid": "69efe9dbe32dcf14ced6be64",
"hierarchy_friendly_name": "AAAGlobal (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.AAAGlobal"
},
"meta": {
"model_type": "relation/HcsLdapScheduleREL",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "title format",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efe9dbe32dcf14ced6be5b",
"path": "name",
"model_type": "data/Schedule"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/",
"pkid": "69efe9dbe32dcf14ced6be63"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efc8b6e32dcf14ced2299a",
"69efe9dbe32dcf14ced6be63"
],
"schema_version": "2.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69efe9dbe32dcf14ced6be63"
},
{
"data": {
"name": "HcsLdapSyncSchedule--4",
"pkid": "69effd2ee32dcf14ced96c44",
"hierarchy_friendly_name": "AAAGlobal (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.AAAGlobal"
},
"meta": {
"model_type": "relation/HcsLdapScheduleREL",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "title format",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69effd2ee32dcf14ced96c3b",
"path": "name",
"model_type": "data/Schedule"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/relation/HcsLdapScheduleREL/69effd2ee32dcf14ced96c43/",
"pkid": "69effd2ee32dcf14ced96c43"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efc8b6e32dcf14ced2299a",
"69effd2ee32dcf14ced96c43"
],
"schema_version": "2.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/relation/HcsLdapScheduleREL/69effd2ee32dcf14ced96c43/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/relation/HcsLdapScheduleREL/69effd2ee32dcf14ced96c43/",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/relation/HcsLdapScheduleREL/69effd2ee32dcf14ced96c43/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/relation/HcsLdapScheduleREL/69effd2ee32dcf14ced96c43/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/relation/HcsLdapScheduleREL/69effd2ee32dcf14ced96c43/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69effd2ee32dcf14ced96c43"
},
{
"data": {
"name": "HcsLdapSyncSchedule--5",
"pkid": "69effea0e32dcf14ced9b051",
"hierarchy_friendly_name": "AAAGlobal (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.AAAGlobal"
},
"meta": {
"model_type": "relation/HcsLdapScheduleREL",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "title format",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69effe9fe32dcf14ced9b048",
"path": "name",
"model_type": "data/Schedule"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/relation/HcsLdapScheduleREL/69effea0e32dcf14ced9b050/",
"pkid": "69effea0e32dcf14ced9b050"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efc8b6e32dcf14ced2299a",
"69effea0e32dcf14ced9b050"
],
"schema_version": "2.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/relation/HcsLdapScheduleREL/69effea0e32dcf14ced9b050/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/relation/HcsLdapScheduleREL/69effea0e32dcf14ced9b050/",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/relation/HcsLdapScheduleREL/69effea0e32dcf14ced9b050/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/relation/HcsLdapScheduleREL/69effea0e32dcf14ced9b050/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/relation/HcsLdapScheduleREL/69effea0e32dcf14ced9b050/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69effea0e32dcf14ced9b050"
}
]
}
(Show the first instance)
{
"data": {
"name": "HcsLdapSyncSchedule--1",
"schedule": {
"name": "HcsLdapSyncSchedule--1",
"schedule_type": "multi",
"active": false,
"scheduled_resources": [
{
"action": "execute",
"resource_type": "data/DataSync",
"resource_attribute": "name",
"resource_instance": "HcsLdapUserSync--1",
"perform_action": true
}
],
"multi_execute": {
"use_specific": false,
"use_calender": false,
"use_timed": true,
"timed_execute": {
"repeat_day": 0,
"repeat_hour": 6,
"repeat_minute": 0,
"repeat_number": 0
}
},
"owner": "[\"CS-PAdmin\", \"hcs.CS-P\"]"
}
},
"meta": {
"model_type": "relation/HcsLdapScheduleREL",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "HcsLdapSyncSchedule--1",
"business_key": {},
"api_version": "21.2",
"cached": true,
"cache_control_policy": "cache_then_device",
"references": {
"device": [
{
"href": "",
"pkid": ""
}
],
"children": [],
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"self": [
{
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/",
"pkid": "69efe9dbe32dcf14ced6be63"
}
]
},
"schema_version": "2.1",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/relation/HcsLdapScheduleREL/69efe9dbe32dcf14ced6be63/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69efe9dbe32dcf14ced6be63"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for relation/HcsLdapScheduleREL. | GET | /api/relation/HcsLdapScheduleREL/help | hierarchy=[hierarchy] | On-line help of Model ref.: relation/HcsLdapScheduleREL as HTML |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/relation/HcsLdapScheduleREL/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/relation/HcsLdapScheduleREL/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of relation/HcsLdapScheduleREL; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/relation/HcsLdapScheduleREL/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of relation/HcsLdapScheduleREL and the JSON format can be used to import instances of relation/HcsLdapScheduleREL.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/relation/HcsLdapScheduleREL/[pkid] | hierarchy=[hierarchy] | The relation/HcsLdapScheduleREL instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/relation/HcsLdapScheduleREL/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for relation/HcsLdapScheduleREL. |